import mwapi
from revscoring import Model
from revscoring.extractors.api.extractor import Extractor

with open("enwiki.goodfaith.gradient_boosting.model") as f:
    scorer_model = Model.load(f)

extractor = Extractor(mwapi.Session(host="https://en.wikipedia.org",
    user_agent="revscoring demo"))

# https://en.wikipedia.org/w/index.php?title=Main_Page&diff=123456789
feature_values = list(extractor.extract(123456789, scorer_model.features))

print(scorer_model.score(feature_values))
